|
Расположение в меню |
---|
TechDraw → Заметки → Вставка аннотаций форматированным текстомs |
Верстаки |
TechDraw |
Быстрые клавиши |
Нет |
Представлено в версии |
0.19 |
См. также |
Шаблоны, Draft SVG, Добавить Линию-выноску в Вид |
Описание
The TechDraw RichTextAnnotation tool adds a formatted annotation block to a Leaderline or a View.
Stand alone RichTextAnnotation
Применение
- If there are multiple drawing pages in the document: optionally activate the desired page by selecting it in the Tree view.
- To attach the RichTextAnnotation to a Leaderline, select the line in the Tree view or on the page.
- There are several ways to invoke the tool:
- Press the
Insert Rich Text Annotation button.
- Select the TechDraw → Annotations →
Insert Rich Text Annotation option from the menu.
- Press the
- If there are multiple drawing pages in the document and you have not yet activated a page, the Page Chooser dialog box opens:
- Select the desired page.
- Press the OK button.
- A task panel opens.
- The task panel allows quick entry of text.
- The Start Rich Text Editor button opens a full featured editor:
- When done, press the
button to save your changes and close the editor.
- When done, press the
- Press the OK button to close the task panel.
Примечания
- After creation a RichTextAnnotation can be edited by double clicking it on the page.
Свойства
- ДанныеX,Y: The location of the block. Relative to the end of the line if attached to a Leaderline, otherwise this is the position on the page.
- ДанныеShowFrame: Draws an outline around the block.
- ДанныеMaxWidth: Limits the horizontal size of the block. A value of -1 is for unlimited width.
- ДанныеAnnoText: The HTML text of the block.
Программирование
См. так же: TechDraw API и Основы составления скриптов FreeCAD.
The RichTextAnnotation tool can be used in macros and from the Python console.
myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
blockObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawRichAnno','DrawRichAnno')
FreeCAD.activeDocument().myPage.addView(blockObj)
blockObj.X = 5
blockObj.Y = 5
blockObj.AnnoText = myHTMLText
Эта страница получена от https://wiki.freecad.org/TechDraw_RichTextAnnotation